package com.ag.demo.entity;

import java.io.Serializable;

/**
 * 用户密码配置表(UserPwdConfig)实体类
 *
 * @author makejava
 * @since 2023-07-21 14:27:08
 */
public class UserPwdConfig implements Serializable {
    private static final long serialVersionUID = 648348505038393449L;
    
    private String id;
    /**
     * 密码长度
     */
    private Integer pwdLength;
    /**
     * 是否包含数字（0=否，1=是）
     */
    private Integer containsNum;
    /**
     * 是否包含大写字符（0=否，1=是）
     */
    private Integer containsUppchar;
    /**
     * 是否包含小写字符（0=否，1=是）
     */
    private Integer containsLowchar;
    /**
     * 是否包含特殊字符（0=否，1=是）
     */
    private Integer containsSpechar;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getPwdLength() {
        return pwdLength;
    }

    public void setPwdLength(Integer pwdLength) {
        this.pwdLength = pwdLength;
    }

    public Integer getContainsNum() {
        return containsNum;
    }

    public void setContainsNum(Integer containsNum) {
        this.containsNum = containsNum;
    }

    public Integer getContainsUppchar() {
        return containsUppchar;
    }

    public void setContainsUppchar(Integer containsUppchar) {
        this.containsUppchar = containsUppchar;
    }

    public Integer getContainsLowchar() {
        return containsLowchar;
    }

    public void setContainsLowchar(Integer containsLowchar) {
        this.containsLowchar = containsLowchar;
    }

    public Integer getContainsSpechar() {
        return containsSpechar;
    }

    public void setContainsSpechar(Integer containsSpechar) {
        this.containsSpechar = containsSpechar;
    }

}

